List Commands

  • GET
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /commands

Get all commands executed in a sandbox

Request

REQUIRED SCOPES
SANDBOX_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
commandsSandboxCommandView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/commands" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/commands", "commands": [ { "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/commands/cmd-abc123def456", "id": "cmd-abc123def456", "command": "npm test", "runtime": "BASH", "status": "SUCCESSFUL", "exit_code": 0, "logs_url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/commands/cmd-abc123def456/logs" }, { "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/commands/cmd-xyz789uvw012", "id": "cmd-xyz789uvw012", "command": "npm run build", "runtime": "BASH", "status": "SUCCESSFUL", "exit_code": 0, "logs_url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/commands/cmd-xyz789uvw012/logs" } ] }
STATUS
200 OK